Signing on Mac doesn't apply manifest properties
Description

When using the Code Signer on Mac, it will sign the jars with the certificate but it doesn't apply manifest properties
Tested on OSX 10.8.5/ Java 1.7.0_45, as well as OSX 10.9.1 / Java 1.7.0_51
The status after signing is 'missing":

Name: mail.jar

Path: /mail.jar

Size: 61195

Status: missing

Signature:

CN=Solutiative

O=Solutiative

L=Hoofddorp

C=NL

Valid from 13 Feb 2014 13:44:20 to 14 Feb 2016 13:44:20

Running the exact same folder/files on Windows will do this correctly (Win7 / Java 1.7.0_25)

Logfile is normal:

Manifest Attributes:
Permissions: all-permissions
Codebase: *

Application-Name: %jarName%

/Users/mboegem/RDC_share/codesigning_example/mail.jar start processing
/Users/mboegem/RDC_share/codesigning_example/mail.jar unsigned
/Users/mboegem/RDC_share/codesigning_example/mail.jar repacked
/Users/mboegem/RDC_share/codesigning_example/mail.jar first sign attempt
/Users/mboegem/RDC_share/codesigning_example/mail.jar repacked
/Users/mboegem/RDC_share/codesigning_example/mail.jar second sign attempt
/Users/mboegem/RDC_share/codesigning_example/mail.jar signed

Jar file size: 59Kb

Process time: 219ms

Total process time: 228ms

History

#1 - 02/18/2014 07:24 PM - Patrick Talbot

- Status changed from New to Closed

It appears that using internal jarsigner classes from Java 6 in Java 7 on Mac was silently 'eating' the manifest attributes.
To workaround that | had to embed java 7 classes into a new CodeSigner7.jar - (the v7 classes cannot be used with Java 6 though, so make sure you
use the correct tool depending on the Java version)

I've updated the tool to v1.0.1 and released a CodeSigner7.jar as well.
